Subject: Re: [p2prg] [alto] Paper on "Pushing BitTorrent Locality to the Limit"

From: Enrico Marocco <[email-masked]>
Date: Fri, 05 Dec 2008 11:55:59 +0100

This is actually a very interesting discussion, probably a perfect fit
for the IRTF P2P Research Group whose new charter (still under
refinement, AFAIK) will likely includes any research topics related to
P2P traffic localization.

I'd suggest to whoever is interested in this discussion to take a look
at the P2PRG page (http://irtf.org/charter?gtype=rg&group=p2prg) and
feel free to keep the conversation alive on the p2prg mailing list (now
Cc'ed).

Enrico

Maciej Wojciechowski wrote:
> Hi Arnaud,
> 
> I think we both made our points clearly and I think we can both agree  
> that we could continue this discussion infinitely.
> Since this group is not the right place to discuss particular  
> scientific papers in details, I suggest we stop right now.
> 
> Regards,
>   Maciek Wojciechowski
> 
> 
> On Dec 4, 2008, at 6:44 PM, Arnaud Legout wrote:
> 
>> Hi Maciej,
>>
>> Maciej Wojciechowski wrote:
>>> You are right, that a control experiment like yours can be very  
>>> helpful in getting a better understanding of what is in fact going  
>>> on.
>>>
>>> I'm talking about Marshall's sentence from first post in this  
>>> thread "This would be a very encouraging reduction of inter-ISP  
>>> traffic if it could be approached in practice by what we are doing  
>>> here". I think that if those results could be reproduced it would  
>>> be great. I'm just highly doubtful that they can.
>> We do not intend to overstate our results. We are simply performing  
>> a study intended to
>> give a first answer to the three questions we present in the  
>> introduction:
>> -How far can we push locality?
>> -What is, at the scale of a torrent, the reduction of traffic that  
>> can be achieved with locality?
>> -Can locality significantly deteriorate the peers experience?
>>
>> I don't know what you mean by reproducibility. If you mean that we  
>> will not find in the Internet
>> a torrent with the exact same characteristics than the ones we have  
>> evaluated, you are right.
>> However, our results show that we can push locality further than  
>> what was done up to now
>> with a great reduction on the inter-ISP traffic. Claiming that this  
>> reduction will be 2 orders of magnitude
>> on a real torrent, or 1.75 or whatever you want would be pointless.  
>> It will be much better
>> than what you can obtain with the locality values considered up to  
>> now (around 80%), without a
>> negative impact on peers download completion time. This is the  
>> important
>> point.
>>
>>
>>> like? Why is it 20kB/s and not 200kB/s or 1037kB/s? Why 100MB and  
>>> not 257MB or 2057MB? I have never heard of inter ISP link with  
>>> 2000kB/s capacity (not mentioning the 40kB/s). I have heard about  
>>> 10Gbit/s ones though. I cannot see them anywhere in your work...
>>>
>>> Few things that in my opinion are significant and are not taken  
>>> into consideration:
>>> - other web activities (like web browsing, gaming, ftp,  
>>> youtube,...) of the users
>>> - setting arbitrary max download and max upload speeds
>>> - downloading many torrents at the same time
>>> - vast part of real-world users are hidden behind a NAT
>>> - users with very big symmetric links (e.g. 100Mbit) that are  
>>> seeding much more than downloading. Yes, there are such users...
>>> - and many, many more.
>>>
>>> Honestly, there are hundreds of factors, many of them very complex.  
>>> Do you really want to argue that the simplified model you presented  
>>> is good enough to reason about bittorent behavior?
>> This is exactly the point. There are so many factors that you cannot  
>> test everything.
>> Either you measure real torrents and traffic, but it is only  
>> relevant for what you have measured at that moment,
>> and you will never understand this way the impact of some specific  
>> parameters. We did that for BT in another
>> context (see our IMC'2006 study)
>> and know that this is just one part of the big picture that allows  
>> you to understand what is going on.
>>
>> Or, you make controlled experiments varying one parameter at a time.  
>> The question here is how you chose the
>> fixed parameters and the range of what you vary. This is based on  
>> experience and understanding you got from
>> in the wild experiments, and related work.
>> We are quite confident that our choices are relevant and allow us to  
>> show what we wanted to show.
>> But of course it is always possible to make different choices and to  
>> compare different approaches.
>> This is why research is great.
>>
>>> I want one thing to be clear: I really like your paper, as a study  
>>> work that can help us understand the problem better. But with all  
>>> due respect, I simply cannot agree that this is a valid bittorrent  
>>> model. Hence, I don't see why those results would give us knowledge  
>>> about how the deployed ALTO system would perform in the real-world.
>> All depends on what you mean by knowledge. Don't attribute to our  
>> study a larger scope than what we described.
>> Our study simply says that if you increase the locality up to very  
>> high values
>> then the inter-ISP traffic will be lower without negative impact on  
>> end-users.
>> Forget about absolute values, they are only there to compare  
>> different experiments in the context of our study.
>> If you claim that we haven't shown that it makes sense to consider  
>> high locality values, then I have to disagree.
>>
>> Regards,
>> Arnaud.
> 
> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto

_______________________________________________
p2prg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/p2prg

---

From: stefano previdi <[email-masked]>
Date: Tue, 09 Dec 2008 11:55:01 +0100

> From: Enrico Marocco <[email-masked]>
> 

indeed. We (Volker and myself with help from Aaron) are re-chartering the
p2prg in order to include any topic/issue related to p2p networking.

Anyone willing to contribute, please have a look at the wiki page:
http://trac.tools.ietf.org/group/irtf/trac/wiki/PeerToPeerResearchGroup
We tried to setup an "initial" list of topics we'd like to see addressed.

Any question, suggestions, comment or flame, feel free to send it to Volker
([email-masked]), myself or the list ([email-masked]).

Thanks.

s.